glibmm: Glib::Unicode Namespace Reference

glibmm 2.86.0

Functions
Glib::Unicode Namespace Reference
Unicode Manipulation

## Functions
bool | validate (gunichar uc)
bool | isalnum (gunichar uc)
bool | isalpha (gunichar uc)
bool | iscntrl (gunichar uc)
bool | isdigit (gunichar uc)
bool | isgraph (gunichar uc)
bool | islower (gunichar uc)
bool | isprint (gunichar uc)
bool | ispunct (gunichar uc)
bool | isspace (gunichar uc)
bool | isupper (gunichar uc)
bool | isxdigit (gunichar uc)
bool | istitle (gunichar uc)
bool | isdefined (gunichar uc)
bool | iswide (gunichar uc)
gunichar | toupper (gunichar uc)
gunichar | tolower (gunichar uc)
gunichar | totitle (gunichar uc)
int | digit_value (gunichar uc)
int | xdigit_value (gunichar uc)
Glib::UnicodeType | type (gunichar uc)
Glib::UnicodeBreakType | break_type (gunichar uc)

## Function Documentation

## ◆ break_type()

Glib::UnicodeBreakType Glib::Unicode::break_type | ( | gunichar | uc | ) |
| inline

## ◆ digit_value()

int Glib::Unicode::digit_value | ( | gunichar | uc | ) |
| inline

## ◆ isalnum()

bool Glib::Unicode::isalnum | ( | gunichar | uc | ) |
| inline

## ◆ isalpha()

bool Glib::Unicode::isalpha | ( | gunichar | uc | ) |
| inline

## ◆ iscntrl()

bool Glib::Unicode::iscntrl | ( | gunichar | uc | ) |
| inline

## ◆ isdefined()

bool Glib::Unicode::isdefined | ( | gunichar | uc | ) |
| inline

## ◆ isdigit()

bool Glib::Unicode::isdigit | ( | gunichar | uc | ) |
| inline

## ◆ isgraph()

bool Glib::Unicode::isgraph | ( | gunichar | uc | ) |
| inline

## ◆ islower()

bool Glib::Unicode::islower | ( | gunichar | uc | ) |
| inline

## ◆ isprint()

bool Glib::Unicode::isprint | ( | gunichar | uc | ) |
| inline

## ◆ ispunct()

bool Glib::Unicode::ispunct | ( | gunichar | uc | ) |
| inline

## ◆ isspace()

bool Glib::Unicode::isspace | ( | gunichar | uc | ) |
| inline

## ◆ istitle()

bool Glib::Unicode::istitle | ( | gunichar | uc | ) |
| inline

## ◆ isupper()

bool Glib::Unicode::isupper | ( | gunichar | uc | ) |
| inline

## ◆ iswide()

bool Glib::Unicode::iswide | ( | gunichar | uc | ) |
| inline

## ◆ isxdigit()

bool Glib::Unicode::isxdigit | ( | gunichar | uc | ) |
| inline

## ◆ tolower()

gunichar Glib::Unicode::tolower | ( | gunichar | uc | ) |
| inline

## ◆ totitle()

gunichar Glib::Unicode::totitle | ( | gunichar | uc | ) |
| inline

## ◆ toupper()

gunichar Glib::Unicode::toupper | ( | gunichar | uc | ) |
| inline

## ◆ type()

Glib::UnicodeType Glib::Unicode::type | ( | gunichar | uc | ) |
| inline

## ◆ validate()

bool Glib::Unicode::validate | ( | gunichar | uc | ) |
| inline

## ◆ xdigit_value()

int Glib::Unicode::xdigit_value | ( | gunichar | uc | ) |
| inline